<?php

namespace XenGenTr\XGTStyleV12;

class Setup extends \XF\AddOn\AbstractSetup
{
    use \XF\AddOn\StepRunnerInstallTrait;
    use \XF\AddOn\StepRunnerUpgradeTrait;
    use \XF\AddOn\StepRunnerUninstallTrait;

    public function installStep1()
    {
        $db = \XF::db();
        $check = $db->fetchAll("SHOW TABLES LIKE 'xf_thread_check_provider'");
        if(!$check) {
            $this->schemaManager()->createTable("xf_thread_check_provider", function ($table) {
                $table->addColumn("thread_check_id", "varchar", 3);
                $table->addColumn("thread_check_type", "varchar", 3);
                $table->addPrimaryKey("thread_check_id");
            });
            $data = [];
            $data["xf_thread_check_provider"] = "\n                    INSERT INTO `xf_thread_check_provider` (`thread_check_id`, `thread_check_type`)\n                    VALUES\n                        ('1', '1')\n                ";
            $db = $this->db();
            foreach ($data as $dataQuery) {
                $db->query($dataQuery);
            }
        }
    }

    public function installStep2()
    {
        $this->createWidget("xgtSv12_lider_konular", "xgtSv12_LiderKonular_wd", ["positions" => []]);
        $this->createWidget("xgtSv12_lider_kullanicilar", "xgtSv12_LiderKullanici_wd", ["positions" => []]);
        $this->createWidget("xgtSv12_yeni_kullanicilar", "xgtSv12_YeniKullanini_wd", ["positions" => []]);
        $this->createWidget("xgtSv12_kullanici_bilgi", "xgtSv12_Kullanici_wd", ["positions" => []]);
    }

    public function uninstallStep1()
    {
        $this->schemaManager()->dropTable("xf_thread_check_provider");
    }

    public function uninstallStep2()
    {
        $this->installStep1();
    }
}


?>