<?php

namespace XenGenTr\XGTStyleV12\Widget;

class LiderKonular extends \XF\Widget\AbstractWidget
{
    public function render()
    {
        $visitor = \XF::visitor();
        $options = $this->options;
        $limit = 5;
        $nodeIds = $options["node_ids"];
        $style = $options["style"];
        $threadFinder = $this->finder("XF:Thread");
        $threadFinder->with(["Forum", "User"])->with("Forum.Node.Permissions|" . $visitor->permission_combination_id)->where("discussion_state", "visible")->where("discussion_type", "<>", "redirect")->where("first_post_reaction_score", ">", 0)->order("first_post_reaction_score", "DESC")->limit(max($limit * 2, 10));
        foreach ($threads = $threadFinder->fetch() as $threadId => $thread) {
            if(!$visitor->user_id && $style != "expanded") {
                $nodeId = $thread->Forum->node_id;
                $canview = $visitor->hasNodePermission($nodeId, "view") && $visitor->hasNodePermission($nodeId, "viewOthers") && $thread->discussion_state == "visible";
            } else {
                $canview = $thread->canView();
            }
            if(!$canview || $visitor->isIgnoring($thread->user_id)) {
                unset($threads[$threadId]);
            }
            if($options["style"] != "expanded" && $visitor->isIgnoring($thread->last_post_user_id)) {
                unset($threads[$threadId]);
            }
        }
        $total = $threads->count();
        $threads = $threads->slice(0, $limit, true);
        $viewParams = ["threads" => $threads, "style" => $options["style"]];
        return $this->renderer("xgtSv12_footer_lider_konular", $viewParams);
    }
    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = NULL)
    {
        return true;
    }
}

?>