<?php

namespace XenGenTr\XGTStyleV12\Widget;

class LiderKullanici extends \XF\Widget\AbstractWidget
{
    protected $defaultOptions = ["member_stat_key" => "", "limit" => 5];
    protected function getDefaultTemplateParams($context)
    {
        $params = parent::getDefaultTemplateParams($context);
        if($context == "options") {
            $memberStatRepo = $this->repository("XF:MemberStat");
            $memberStats = $memberStatRepo->findMemberStatsForList()->where("active", 1)->pluckFrom("title", "member_stat_key");
            $params["memberStats"] = $memberStats;
        }
        return $params;
    }
    public function render()
    {
        if(!\XF::visitor()->canViewMemberList()) {
            return "";
        }
        $memberStat = $this->findOne("XF:MemberStat", ["member_stat_key" => "most_messages"]);
        if(!$memberStat || !$memberStat->canView()) {
            return "";
        }
        $results = $memberStat->getResults(true);
        $userIds = array_keys($results);
        $userFinder = $this->finder("XF:User");
        $users = $userFinder->with("Option", true)->with("Profile", true)->where("user_id", array_unique($userIds))->isValidUser()->fetch();
        $count = 0;
        $resultsData = [];
        foreach ($results as $userId => $value) {
            if($count == "5") {
                $viewParams = ["title" => $this->getTitle() ?: $memberStat->title, "memberStat" => $memberStat, "results" => $resultsData];
                return $this->renderer("xgtSv12_footer_lider_kullanicilar", $viewParams);
            }
            if(!isset($users[$userId])) {
            } else {
                $resultsData[$userId] = ["user" => $users[$userId], "value" => $value];
                $count++;
            }
        }
    }
    public function verifyOptions(\XF\Http\Request $request, array &$options, &$error = NULL)
    {
        return true;
    }
}

?>